/*
Theme Name:     Upbeet & Kaleing It 2026
Theme URI:      https://tcndesignstudio.com/portfolio
Template:       kadence
Author:         Camila Rojas
Author URI:     https://tcndesignstudio.com/
Description:    This Custom Design Theme is a child theme for the Kadence framework, designed for Upbeet &amp; Kaleing It, who wanted a clean, stylish, and customizable website. Fully responsive and mobile-friendly, Optimized for fast loading speeds, SEO-ready structure, lightweight and performance-focused.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/
.site-bottom-header-wrap {
    box-shadow: 0 5px 10px -5px #350f0f78;
}
a.brand.has-logo-image:hover {
    transition: all 0.3s ease-in-out 0s;
}
a.brand.has-logo-image:hover {
    transform: scale(.98);
	-webkit-transform: rotateZ(-1deg) scale(.98);
        -ms-transform: rotateZ(-1deg) scale(.98);
        transform: rotateZ(-1deg) scale(.98);
}
.wp-block-kadence-posts.kb-posts .post-thumbnail, .wp-block-kadence-postgrid .kadence-post-image, .cat-hover li.kadence-blocks-gallery-item {
    transition: all 0.3s ease-in-out 0s;
}
.wp-block-kadence-posts.kb-posts .post-thumbnail:hover, .wp-block-kadence-postgrid .kadence-post-image:hover, .cat-hover li.kadence-blocks-gallery-item:hover {
    transform: scale(0.98);
    -webkit-transform: scale(0.98);
    -ms-transform: scale(0.98);
    transform: scale(0.98);
}
.tcn-search .kb-search .kb-search-icon-submit {
    background-color: var(--global-palette6);
    border: 3px solid var(--global-palette9);
    padding: 15px;
    border-radius: 50px;
    right: -10px;
}
.fave-counter {
    counter-reset: article;
}
.fave-counter .kt-blocks-post-grid-item-inner::before {
    counter-increment: article;
    content: counter(article);
	  font-family: var(--global-heading-font-family);
    font-size: 1.5em;
	  line-height: 1.5;
    font-weight: 700;
    color: var(--global-palette4);
    position: absolute;
    z-index: 1;
    background-color: var(--global-palette2);
    padding: 3px;
    border-radius: 50px;
    width: 50px;
    height: 50px;
    text-align: center;
    margin-left: -3%;
    Margin-top: -45px;
}
.fave-counter .kadence-post-image {
    border-bottom: 5px solid var(--global-palette2);
}
.img-rotate-left img {
    rotate: -7deg;
}
.img-rotate-right img {
    rotate: 7deg;
}
.main-categories-img .wp-block-kadence-image, .main-categories-img .wp-block-kadence-imageoverlay {
    outline: 6px solid #ffffff;
}
.main-categories-img .kt-inside-inner-col {
    transition: all 0.3s ease-in-out 0s;
}
.main-categories-img .kt-inside-inner-col:hover {
    transform: scale(1.025);
	  opacity: 0.75;
}
.kadence-blocks-form-field .kb-field::placeholder {
    color: var(--global-palette4);
}
.tcn-favorite-feature .wp-post-image {
    border: 5px solid var(--global-palette9);
}

.icon-hover .kb-gallery-figure img{
  border: 2px solid #ffffff;
}
.entry-hero.post-hero-section .entry-header, .entry-hero.search-archive-hero-section .entry-header {
    max-width: 835px;
    width: 100%;
}
.entry-hero.post-archive-hero-section .entry-header {
    max-width: 835px;
    margin: 0 auto;
}
.post-hero-section .entry-hero-container-inner {
    background-size: 104px 210px !important;
}
.top-most-popular .wp-block-kadence-posts .loop-entry .entry-content-wrap {
    padding: 1.5rem 0.5rem 1.5rem 0.75rem;
}
.icon-hover .kb-gallery-figure:hover {
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;
  -webkit-animation-name: headShake;
  animation-name: headShake;
-webkit-animation-duration: 1s;
animation-duration: 1s;
-webkit-animation-fill-mode: both;
animation-fill-mode: both;
}
@-webkit-keyframes headShake {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }

  6.5% {
    -webkit-transform: translateX(-6px) rotateY(-9deg);
    transform: translateX(-6px) rotateY(-9deg);
  }

  18.5% {
    -webkit-transform: translateX(5px) rotateY(7deg);
    transform: translateX(5px) rotateY(7deg);
  }

  31.5% {
    -webkit-transform: translateX(-3px) rotateY(-5deg);
    transform: translateX(-3px) rotateY(-5deg);
  }

  43.5% {
    -webkit-transform: translateX(2px) rotateY(3deg);
    transform: translateX(2px) rotateY(3deg);
  }

  50% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}
@keyframes headShake {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }

  6.5% {
    -webkit-transform: translateX(-6px) rotateY(-9deg);
    transform: translateX(-6px) rotateY(-9deg);
  }

  18.5% {
    -webkit-transform: translateX(5px) rotateY(7deg);
    transform: translateX(5px) rotateY(7deg);
  }

  31.5% {
    -webkit-transform: translateX(-3px) rotateY(-5deg);
    transform: translateX(-3px) rotateY(-5deg);
  }

  43.5% {
    -webkit-transform: translateX(2px) rotateY(3deg);
    transform: translateX(2px) rotateY(3deg);
  }

  50% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}
@media screen and (min-width: 1024px) {
	.tcn-favorite-feature .kt-blocks-post-grid-item-inner {
    margin-top: 25%;
    margin-bottom: 25%;
    margin-left: -150px;
    background-color: #fff;
    z-index: 2;
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.tcn-favorite-feature .kt-blocks-post-readmore-wrap {
    margin-top: 25%;
    text-align: right;
}
.tcn-favorite-feature .entry-title::before {
    content: "\2605  My Favorite";
    position: absolute;
    top: 0;
    left:0;
    display: inline-block;
    font-size: 28px;
    font-weight: 700;
    letter-spacing: .095em;
    color: var(--global-palette3);
    margin-bottom: 1rem;
    font-family: var(--global-body-font-family);
    width: 100%;
}
}
@media screen and (min-width: 783px) {
.kb-form .kadence-blocks-form-field {
    margin-bottom: 0px;
}
}
@media screen and (max-width: 1024px) {
.tcn-index-accordion{
  height: auto;
}
	.tcn-favorite-feature .kt-blocks-post-grid-item-inner {
        margin-top: -100px;
        margin-bottom: 0;
        margin-left: 15px;
        margin-right: 15px;
        background-color: #fff;
        z-index: 2;
        padding: 25px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        position: relative;
    }
.tcn-favorite-feature .kt-blocks-post-readmore-wrap {
    margin-top: 25%;
    text-align: right;
}
.tcn-favorite-feature .entry-title::before {
    content: "\2605  My Favorite";
    position: absolute;
    top: 0;
    left:0;
    display: inline-block;
    font-size: 28px;
    font-weight: 700;
    letter-spacing: .095em;
    color: var(--global-palette3);
    margin-bottom: 1rem;
    font-family: var(--global-body-font-family);
    width: 100%;
}
}
@media screen and (max-width: 782px) {
	.search-toggle-open-container .search-toggle-open {
    color: var(--global-palette9);
}
.two-col-grid.grid-cols {
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    -webkit-column-gap: 1.25rem !important;
    -moz-column-gap: 1.25rem !important;
    column-gap: 1.25rem !important;
    row-gap: 2.75rem !important;
}
#archive-container.grid-cols {
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
	  -webkit-column-gap: 1.25rem !important;
    -moz-column-gap: 1.25rem !important;
    column-gap: 1.25rem;
    row-gap: 1.5rem;
}
	.fave-counter article::before {
    margin-left: 15%;
}
}
@media screen and (min-width: 768px) {
    .grid-lg-col-1.item-image-style-beside article.loop-entry.has-post-thumbnail:not(.kb-post-no-image) {
        grid-template-columns: 1fr 1fr !important;
        align-items: center;
    }
}
@media screen and (min-width: 1025px) {
    .primary-sidebar {
        margin-top: -200px !important;
    }
}
.accent-font{  
	  font-family: 'Notes', "Brush Script MT", cursive;
    font-style: normal;
    margin-bottom: 18px !important;
    margin-left: -15px !important;
    font-size: 65px !important;
    font-weight: 400;
    transform: rotateZ(-5deg);
    z-index: 2;
    position: relative;
}
@font-face {
    font-family: 'Notes';
    src: url('assets/fonts/Notes.woff2') format('woff2'),
         url('assets/fonts/Notes.woff') format('woff');
	font-style: normal;
  font-display: swap;
}